osgUtil::EdgeCollector::Edge Struct Reference

`#include <EdgeCollector>`

Inheritance diagram for osgUtil::EdgeCollector::Edge:

## Public Member Functions

void | clear ()
bool | operator< (const Edge &rhs) const
bool | operator== (const Edge &rhs) const
bool | operator!= (const Edge &rhs) const
void | setOrderedPoints (Point *p1, Point *p2)
void | addTriangle (Triangle *triangle)
bool | isBoundaryEdge () const
bool | isAdjacentToBoundary () const
bool | endConnected (const Edge &rhs) const
bool | beginConnected (const Edge &rhs) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::ref_ptr< Point > | _p1
osg::ref_ptr< Point > | _p2
osg::ref_ptr< Point > | _op1
osg::ref_ptr< Point > | _op2
TriangleSet | _triangles

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Function Documentation

## addTriangle()

void osgUtil::EdgeCollector::Edge::addTriangle | ( | Triangle * | triangle | ) |

inline

References _triangles.

## beginConnected()

bool osgUtil::EdgeCollector::Edge::beginConnected | ( | const Edge & | rhs | ) | const

inline

References _op1, and _op2.

## clear()

void osgUtil::EdgeCollector::Edge::clear | ( |  | ) |

## endConnected()

bool osgUtil::EdgeCollector::Edge::endConnected | ( | const Edge & | rhs | ) | const

inline

References _op1, and _op2.

## isAdjacentToBoundary()

bool osgUtil::EdgeCollector::Edge::isAdjacentToBoundary | ( |  | ) | const

inline

References _p1, _p2, and isBoundaryEdge().

## isBoundaryEdge()

bool osgUtil::EdgeCollector::Edge::isBoundaryEdge | ( |  | ) | const

inline

References _triangles.

Referenced by isAdjacentToBoundary().

## operator!=()

bool osgUtil::EdgeCollector::Edge::operator!= | ( | const Edge & | rhs | ) | const

## operator<()

bool osgUtil::EdgeCollector::Edge::operator< | ( | const Edge & | rhs | ) | const

## operator==()

bool osgUtil::EdgeCollector::Edge::operator== | ( | const Edge & | rhs | ) | const

## setOrderedPoints()

void osgUtil::EdgeCollector::Edge::setOrderedPoints | ( | Point * | p1,
|  | Point * | p2 )

## Member Data Documentation

## _op1

osg::ref_ptr<Point> osgUtil::EdgeCollector::Edge::_op1

Referenced by beginConnected(), and endConnected().

## _op2

osg::ref_ptr<Point> osgUtil::EdgeCollector::Edge::_op2

Referenced by beginConnected(), and endConnected().

## _p1

osg::ref_ptr<Point> osgUtil::EdgeCollector::Edge::_p1

Referenced by isAdjacentToBoundary().

## _p2

osg::ref_ptr<Point> osgUtil::EdgeCollector::Edge::_p2

Referenced by isAdjacentToBoundary().

## _triangles

TriangleSet osgUtil::EdgeCollector::Edge::_triangles

Referenced by addTriangle(), and isBoundaryEdge().

The documentation for this struct was generated from the following file:

- EdgeCollector